ForeFlight Mobile and iOS 8

The next version of ForeFlight Mobile will require iOS 8 or later. By making iOS 8 the minimum iOS version supported, we can deliver new features that require iOS 8, deliver smaller application downloads, improve energy efficiency, add improved support for devices like the iPhone 6 Plus, and deliver faster application performance. The only device that is not capable of upgrading to iOS 8 that is currently also supported by iOS 7 (the current minimum iOS requirement for ForeFlight Mobile) is iPhone 4.

This support article on Apple’s website describes how to update your iOS device wirelessly or using iTunes if you are wanting to get ahead of the release: https://support.apple.com/en-us/HT204204.